import Typography from "@/shared/ui/components/Typography/Typography";
import "./CreateReport.scss";
import dynamic from "next/dynamic";
import { Metadata } from "next";
import BreadCrumbs from "@/features/BreadCrumbs/BreadCrumbs";

export const metadata: Metadata = {
  title: "KG ROAD | Написать обращение",
  description: "Написать обращение KG ROAD",
};

const DynamicForm = dynamic(
  () => import("@/widgets/forms/ReportForm/ReportForm"),
  {
    ssr: false,
  }
);

const CreateReport = () => {
  return (
    <div className="create-report page-padding">
      <BreadCrumbs homeRequired />
      <Typography element="h2">Написать обращение</Typography>

      <DynamicForm />
    </div>
  );
};

export default CreateReport;
